#ifndef	ARCH_WINLIB_WIN32_H
#define	ARCH_WINLIB_WIN32_H

#ifdef	ARCH_WINDOWING_SUPPORTED

#define	MAX_CLASS_NAME	32

typedef struct arch_window_s
{
	ARCH_COMMON_WINDOW_FIELDS
	char		class_name[MAX_CLASS_NAME];
	WNDCLASS	wc;
	HWND		wnd;
	DWORD		creation_time;
	HDC			dc;
	DWORD		delta_w, delta_h;
	int			wheel_delta;
	BYTE		oem_kbstate[256];
	UINT		auto_capture_button;
	int			num_vidmodes; /* fixme: common */
	vidmode_p	vidmodes; /* fixme: common */
}	arch_window_t, *arch_window_p;

#include <../arch/common/glctx.h>

typedef struct gl_context_s
{
	ARCH_COMMON_GL_CONTEXT_FIELDS
	HGLRC wgl_context;
}	gl_context_t, *gl_context_p;

#endif	/* ARCH_WINDOWING_SUPPORTED */

#endif	/* !ARCH_WINLIB_WIN32_H */
